Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation
Class DummyBean

    java.lang.Object
      org.apache.myfaces.orchestra.conversation.DummyBean

All Implemented Interfaces:
  ConversationBindingListener

    public class DummyBean

extends Object
implements ConversationBindingListener

Field Summary
`static ConversationBindingListener` | `callback`

Constructor Summary
`DummyBean()`

Method Summary
`Conversation` | `checkCurrentConversation()`
`String` | `getData()`
`DummyBean` | `getRaw()`
`void` | `invalidateAndRestartSelf()`
`void` | `invalidateSelf()`
`void` | `setData(String data)`
`void` | `touch()`
`void` | `valueBound(ConversationBindingEvent event)`
`void` | `valueUnbound(ConversationBindingEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### callback

    public static ConversationBindingListener callback

Constructor Detail

### DummyBean

    public DummyBean()

Method Detail

### touch

    public void touch()

### getData

    public String getData()

### setData

    public void setData(String data)

### checkCurrentConversation

    public Conversation checkCurrentConversation()

### invalidateSelf

    public void invalidateSelf()

### invalidateAndRestartSelf

    public void invalidateAndRestartSelf()

### getRaw

    public DummyBean getRaw()

### valueBound

    public void valueBound(ConversationBindingEvent event)

  Specified by:
    `valueBound` in interface `ConversationBindingListener`

### valueUnbound

    public void valueUnbound(ConversationBindingEvent event)

  Specified by:
    `valueUnbound` in interface `ConversationBindingListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.